# Release 22.11 (“Raccoon”, 2022.11/??) {#sec-release-22.11}

Support is planned until the end of June 2023, handing over to 23.05.

## Highlights {#sec-release-22.11-highlights}

In addition to numerous new and upgraded packages, this release has the following highlights:

- During cross-compilation, tests are now executed if the test suite can be executed
  by the build platform. This is the case when doing “native” cross-compilation
  where the build and host platforms are largely the same, but the nixpkgs' cross
  compilation infrastructure is used, e.g. `pkgsStatic` and `pkgsLLVM`. Another
  possibility is that the build platform is a superset of the host platform, e.g. when
  cross-compiling from `x86_64-unknown-linux` to `i686-unknown-linux`.
  The predicate gating test suite execution is the newly added `canExecute`
  predicate: You can e.g. check if `stdenv.buildPlatform` can execute binaries
  built for `stdenv.hostPlatform` (i.e. produced by `stdenv.cc`) by evaluating
  `stdenv.buildPlatform.canExecute stdenv.hostPlatform`.

<!-- To avoid merge conflicts, consider adding your item at an arbitrary place in the list instead. -->

## New Services {#sec-release-22.11-new-services}

- Please remove this line when you add the first item since docbook requires the section to be non-empty

<!-- To avoid merge conflicts, consider adding your item at an arbitrary place in the list instead. -->

## Backward Incompatibilities {#sec-release-22.11-incompatibilities}

- The `isCompatible` predicate checking CPU compatibility is no longer exposed
  by the platform sets generated using `lib.systems.elaborate`. In most cases
  you will want to use the new `canExecute` predicate instead which also
  considers the kernel / syscall interface. It is briefly described in the
  release's [highlights section](#sec-release-22.11-highlights).
  `lib.systems.parse.isCompatible` still exists, but has changed semantically:
  Architectures with differing endianness modes are *no longer considered compatible*.

<!-- To avoid merge conflicts, consider adding your item at an arbitrary place in the list instead. -->

## Other Notable Changes {#sec-release-22.11-notable-changes}

- Please remove this line when you add the first item since docbook requires the section to be non-empty
<!-- To avoid merge conflicts, consider adding your item at an arbitrary place in the list instead. -->
